org.apache.lucene.util.bkd

## Class OfflinePointReader

- java.lang.Object
- - org.apache.lucene.util.bkd.PointReader
  - - org.apache.lucene.util.bkd.OfflinePointReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class OfflinePointReader
      extends PointReader

  Reads points from disk in a fixed-with format, previously written with `OfflinePointWriter`.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OfflinePointReader(Directory tempDir, String tempFileName, int packedBytesLength, long start, long length, boolean longOrds, boolean singleValuePerDoc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `docID()` DocID for this point
    `void` | `markOrds(long count, LongBitSet ordBitSet)` Iterates through the next `count` ords, marking them in the provided `ordBitSet`.
    `boolean` | `next()` Returns false once iteration is done, else true.
    `long` | `ord()` Point ordinal
    `byte[]` | `packedValue()` Returns the packed byte[] value
    `long` | `split(long count, LongBitSet rightTree, PointWriter left, PointWriter right, boolean doClearBits)` Splits this reader into left and right partitions

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OfflinePointReader

          public OfflinePointReader(Directory tempDir,
                                    String tempFileName,
                                    int packedBytesLength,
                                    long start,
                                    long length,
                                    boolean longOrds,
                                    boolean singleValuePerDoc)
                             throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### next

          public boolean next()
                       throws IOException

      Description copied from class: `PointReader`
      Returns false once iteration is done, else true.
      Specified by:
        `next` in class `PointReader`
      Throws:
        `IOException`

    - #### packedValue

          public byte[] packedValue()

      Description copied from class: `PointReader`
      Returns the packed byte[] value
      Specified by:
        `packedValue` in class `PointReader`

    - #### ord

          public long ord()

      Description copied from class: `PointReader`
      Point ordinal
      Specified by:
        `ord` in class `PointReader`

    - #### docID

          public int docID()

      Description copied from class: `PointReader`
      DocID for this point
      Specified by:
        `docID` in class `PointReader`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### markOrds

          public void markOrds(long count,
                               LongBitSet ordBitSet)
                        throws IOException

      Description copied from class: `PointReader`
      Iterates through the next `count` ords, marking them in the provided `ordBitSet`.
      Overrides:
        `markOrds` in class `PointReader`
      Throws:
        `IOException`

    - #### split

          public long split(long count,
                            LongBitSet rightTree,
                            PointWriter left,
                            PointWriter right,
                            boolean doClearBits)
                     throws IOException

      Description copied from class: `PointReader`
      Splits this reader into left and right partitions
      Overrides:
        `split` in class `PointReader`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.